Bug 102496 - libaio error dynamic linking and broken compatibility
libaio error dynamic linking and broken compatibility
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: libaio (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Moyer
http://developer.osdl.org/daniel/libaio/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-15 18:10 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 11:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix dynamic linking and compatibility (2.11 KB, patch)
2003-08-15 18:12 EDT, Need Real Name
no flags Details | Diff
source code to test (203 bytes, text/plain)
2003-08-15 18:13 EDT, Need Real Name
no flags Details
longer bug description (1.28 KB, text/plain)
2003-08-15 18:14 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2003-08-15 18:10:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
dynamic linking with libaio does not work and results in link
errors as show below.  More info in attached file and patch
which fixes the link errors and correctly adds compatibility is also
attached.  Also attached test_libaio.c file.

$ cc -o test_libaio test_libaio.c  -laio
/tmp/ccIrVJRe.o(.text+0x4a): In function `main':
: undefined reference to `io_queue_init'
/tmp/ccIrVJRe.o(.text+0x7e): In function `main':
: undefined reference to `io_submit'


Version-Release number of selected component (if applicable):
libaio-0.3.93-4

How reproducible:
Always

Steps to Reproduce:
1.cc -o test_libaio test_libaio.c -laio
2.
3.
    

Actual Results:  $ cc -o test_libaio test_libaio.c  -laio
/tmp/ccIrVJRe.o(.text+0x4a): In function `main':
: undefined reference to `io_queue_init'
/tmp/ccIrVJRe.o(.text+0x7e): In function `main':
: undefined reference to `io_submit'


Expected Results:  No link errors, of course!

Additional info:

See the patch!
Comment 1 Need Real Name 2003-08-15 18:12:29 EDT
Created attachment 93671 [details]
patch to fix dynamic linking and compatibility
Comment 2 Need Real Name 2003-08-15 18:13:37 EDT
Created attachment 93672 [details]
source code to test
Comment 3 Need Real Name 2003-08-15 18:14:32 EDT
Created attachment 93673 [details]
longer bug description
Comment 4 Jeff Moyer 2004-03-30 17:23:44 EST
Is your .93 patch dated, now?  I've applied the patch you generated
against 0.3.96.  Could you test the package out?

http://people.redhat.com/jmoyer/

Thanks!

Jeff
Comment 5 Jeff Moyer 2005-10-21 11:13:38 EDT
I believe that this issue is fixed in the current fedora packages.  If you still
find errors, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.